Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# ExNihilo LauncherDlg.cpp

Go to the documentation of this file.

    00001 // ExNihilo LauncherDlg.cpp : implementation file
    00002 //
    00003
    00004 #include "stdafx.h"
    00005 #include "ExNihilo Launcher.h"
    00006 #include "ExNihilo LauncherDlg.h"
    00007
    00008 #ifdef _DEBUG
    00009 #define new DEBUG_NEW
    00010 #endif
    00011
    00012
    00013 // CExNihiloLauncherDlg dialog
    00014
    00015
    00016
    00017 CExNihiloLauncherDlg::CExNihiloLauncherDlg(CWnd* pParent /*=NULL*/)
    00018         : CDialog(CExNihiloLauncherDlg::IDD, pParent)
    00019 {
    00020         m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
    00021 }
    00022
    00023 void CExNihiloLauncherDlg::DoDataExchange(CDataExchange* pDX)
    00024 {
    00025         CDialog::DoDataExchange(pDX);
    00026         DDX_Control(pDX, IDC_COMBORESOLUTION, m_CResolution);
    00027 }
    00028
    00029 BEGIN_MESSAGE_MAP(CExNihiloLauncherDlg, CDialog)
    00030         ON_WM_PAINT()
    00031         ON_WM_QUERYDRAGICON()
    00032         //}}AFX_MSG_MAP
    00033         ON_BN_CLICKED(IDC_BUTFULLSCREEN, OnBnClickedButwindow)
    00034         ON_BN_CLICKED(IDC_BUTWINDOW, OnBnClickedButwindow)
    00035         ON_BN_CLICKED(IDC_BUTINTERFACE, OnBnClickedButinterface)
    00036         ON_BN_CLICKED(IDC_BUTPARTICULES, OnBnClickedButparticules)
    00037         ON_BN_CLICKED(IDC_BUTMAP, OnBnClickedButmap)
    00038         ON_BN_CLICKED(IDC_BUTTONWEB, OnBnClickedButtonweb)
    00039         ON_BN_CLICKED(IDC_BUTTONDOC, OnBnClickedButtondoc)
    00040         ON_BN_CLICKED(IDC_BUTTONCONTACT, OnBnClickedButtoncontact)
    00041 END_MESSAGE_MAP()
    00042
    00043
    00044 // CExNihiloLauncherDlg message handlers
    00045
    00046 BOOL CExNihiloLauncherDlg::OnInitDialog()
    00047 {
    00048         CDialog::OnInitDialog();
    00049
    00050         // Set the icon for this dialog.  The framework does this automatically
    00051         //  when the application's main window is not a dialog
    00052         SetIcon(m_hIcon, TRUE);                 // Set big icon
    00053         SetIcon(m_hIcon, FALSE);                // Set small icon
    00054
    00055         // TODO: Add extra initialization here
    00056                 //init défault value
    00057 /*      DWORD Res8616=m_CResolution.AddString("800*600 16 bits");
    00058         m_CResolution.SetItemData(Res8616,1);
    00059         DWORD Res1716=m_CResolution.AddString("1024*768 16 bits");
    00060         m_CResolution.SetItemData(Res1716,2);
    00061         DWORD Res1116=m_CResolution.AddString("1600*1200 16 bits");
    00062         m_CResolution.SetItemData(Res1116,3);
    00063         DWORD Res8632=m_CResolution.AddString("800*600 32 bits");
    00064         m_CResolution.SetItemData(Res8632,4);
    00065         DWORD Res1732=m_CResolution.AddString("1024*768 32 bits");
    00066         m_CResolution.SetItemData(Res1732,5);
    00067         DWORD Res1132=m_CResolution.AddString("1600*1200 32 bits");
    00068         m_CResolution.SetItemData(Res1132,6);
    00069
    00070 */
    00071         return TRUE;  // return TRUE  unless you set the focus to a control
    00072 }
    00073
    00074 // If you add a minimize button to your dialog, you will need the code below
    00075 //  to draw the icon.  For MFC applications using the document/view model,
    00076 //  this is automatically done for you by the framework.
    00077
    00078 void CExNihiloLauncherDlg::OnPaint()
    00079 {
    00080         if (IsIconic())
    00081         {
    00082                 CPaintDC dc(this); // device context for painting
    00083
    00084                 SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);
    00085
    00086                 // Center icon in client rectangle
    00087                 int cxIcon = GetSystemMetrics(SM_CXICON);
    00088                 int cyIcon = GetSystemMetrics(SM_CYICON);
    00089                 CRect rect;
    00090                 GetClientRect(&rect);
    00091                 int x = (rect.Width() - cxIcon + 1) / 2;
    00092                 int y = (rect.Height() - cyIcon + 1) / 2;
    00093
    00094                 // Draw the icon
    00095                 dc.DrawIcon(x, y, m_hIcon);
    00096         }
    00097         else
    00098         {
    00099                 CDialog::OnPaint();
    00100         }
    00101 }
    00102
    00103 // The system calls this function to obtain the cursor to display while the user drags
    00104 //  the minimized window.
    00105 HCURSOR CExNihiloLauncherDlg::OnQueryDragIcon()
    00106 {
    00107         return static_cast<HCURSOR>(m_hIcon);
    00108 }
    00109
    00110 void CExNihiloLauncherDlg::OnBnClickedButfullscreen()
    00111 {
    00112         // TODO : ajoutez ici le code de votre gestionnaire de notification de contrôle
    00113         WinExec("ExNihiloFull.exe",SW_SHOWDEFAULT);
    00114 }
    00115
    00116 void CExNihiloLauncherDlg::OnBnClickedButwindow()
    00117 {
    00118         // TODO : ajoutez ici le code de votre gestionnaire de notification de contrôle
    00119         WinExec("ExNihilo.exe",SW_SHOWDEFAULT);
    00120 }
    00121
    00122 void CExNihiloLauncherDlg::OnBnClickedButinterface()
    00123 {
    00124         // TODO : ajoutez ici le code de votre gestionnaire de notification de contrôle
    00125         WinExec("SDKInterface.exe",SW_SHOWDEFAULT);
    00126 }
    00127
    00128 void CExNihiloLauncherDlg::OnBnClickedButparticules()
    00129 {
    00130         // TODO : ajoutez ici le code de votre gestionnaire de notification de contrôle
    00131         WinExec("SDKParticules.exe",SW_SHOWDEFAULT);
    00132 }
    00133
    00134 void CExNihiloLauncherDlg::OnBnClickedButmap()
    00135 {
    00136         // TODO : ajoutez ici le code de votre gestionnaire de notification de contrôle
    00137         WinExec("Asc2Map.exe",SW_SHOWDEFAULT);
    00138 }
    00139
    00140 void CExNihiloLauncherDlg::OnBnClickedButtonweb()
    00141 {
    00142         // TODO : ajoutez ici le code de votre gestionnaire de notification de contrôle
    00143 }
    00144
    00145 void CExNihiloLauncherDlg::OnBnClickedButtondoc()
    00146 {
    00147         // TODO : ajoutez ici le code de votre gestionnaire de notification de contrôle
    00148 }
    00149
    00150 void CExNihiloLauncherDlg::OnBnClickedButtoncontact()
    00151 {
    00152         // TODO : ajoutez ici le code de votre gestionnaire de notification de contrôle
    00153 }